Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eu.osci.messagetypes
Class OSCIMsgBoxStatusListResponse

    java.lang.Object
      eu.osci.messagetypes.OSCIMessage
          eu.osci.messagetypes.OSCIMsgBoxStatusListResponse

    public class OSCIMsgBoxStatusListResponse

extends OSCIMessage

This class will be returned if the client sends a MsgBoxStatusListRequest. It includes a list of status information for the according search parameter.
Copyright © 2010 Freie Hansestadt Bremen.
Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG.
This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).

Field Summary

Fields inherited from class eu.osci.messagetypes.OSCIMessage
`text`

Constructor Summary
`OSCIMsgBoxStatusListResponse(com.sun.xml.ws.api.message.Message _soapMessage)` This constructor will be used to parse the incoming SOAP header and the body element.

Method Summary
`java.lang.String` | `getFetchIteratorID()` Returns the id that was generated by the server for the search parameter of the request message.
`long` | `getItemsPending()` Returns the count of the next available messages.
`eu.osci.ws._2008._05.transport.MsgBoxResponseType` | `getMsgBoxResponseType()` Returns the OSCI MsgBoxRepsonse object with additional information about the fetched list (ItemsPending, fetchIteratorID, NoMessageFound)
`eu.osci.ws._2008._05.transport.MsgStatusListType` | `getMsgStatusList()` The fetched information with all the associated elements (or the limited count).
`boolean` | `noMessageFoundForSelection()` Returns true if there are no messages found for the selection.

Methods inherited from class eu.osci.messagetypes.OSCIMessage
`getAction, getAdditionalHeaderList, getMessageId, getTo, setAction, setAdditionalHeaderList, setMessageId, setTo`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OSCIMsgBoxStatusListResponse

    public OSCIMsgBoxStatusListResponse(com.sun.xml.ws.api.message.Message _soapMessage)
                                 throws javax.xml.bind.JAXBException

  This constructor will be used to parse the incoming SOAP header and the body element. It will be called by the send method of the associated request message.

  Parameters:
    `_soapMessage` - The incoming SOAP message with the given header and body elements.
  Throws:
    `javax.xml.bind.JAXBException` - In case that the header elements or the body could not be parsed.

Method Detail

### getItemsPending

    public long getItemsPending()

  Returns the count of the next available messages.

  Returns:
    The count of pending messages.

### noMessageFoundForSelection

    public boolean noMessageFoundForSelection()

  Returns true if there are no messages found for the selection.

  Returns:
    False if messages are found, otherwise true.

### getMsgStatusList

    public eu.osci.ws._2008._05.transport.MsgStatusListType getMsgStatusList()
                                                                      throws javax.xml.bind.JAXBException

  The fetched information with all the associated elements (or the limited count).

  Returns:
    The result object of the status list information.
  Throws:
    `javax.xml.bind.JAXBException`

### getMsgBoxResponseType

    public eu.osci.ws._2008._05.transport.MsgBoxResponseType getMsgBoxResponseType()

  Returns the OSCI MsgBoxRepsonse object with additional information about the fetched list (ItemsPending, fetchIteratorID, NoMessageFound)

  Returns:
    The OSCI object with additional information.

### getFetchIteratorID

    public java.lang.String getFetchIteratorID()

  Returns the id that was generated by the server for the search parameter of the request message. The fetchIteratorId could be used for getNext requests.

  Returns:
    The generated id for next requests.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Freie Hansestadt Bremen.